Page MenuHomePhabricator

Update reference styling for Mobile HTML work on Android
Closed, ResolvedPublic5 Estimated Story Points

Description

01) Default state (collapsed)02) References expanded03) Tapping on reference [1] within reference list04) Tapping on reference [1] within article

Remarks

  • 01) Sections should be collapsed by default
  • 02)
    • Reference numbers over 999 are truncated. See example [..23]
    • Tapping a reference from the list leads to the view in 03)
  • 03)
    • Highlighting of references works like the current “Find in page” functionality on Android
    • Tapping the reference link in the app bar leads users back to where they came from (the reference list)
  • 04)
    • Reference details functionality stays the same with a slight style change (brackets for numbers list).

Related

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2020, 2:53 PM
Charlotte updated the task description. (Show Details)Mar 10 2020, 4:16 PM
Niedzielski moved this task from Needs triage to Apps on the Mobile board.Mar 12 2020, 2:18 PM

Looks good @Sharvaniharan, a few minor things:

01) Increase tap area to at least 48dp in height

02) Remove references icon:

03) Can you change the reference list highlight to orange after tapping “References [1]” in the app bar? (to be consistent with single reference highlights)

04) Increase reference number list tap area to at least 48dp x 48 dp (CC: @JoeWalsh)

Thanks!

Dbrant closed this task as Resolved.Apr 16 2020, 2:30 PM